package com.goafanti.common.model;

import java.util.Date;

public class ConsultOrder {
    private Long id;

    /**
    * 价格
    */
    private Double price;

    /**
    * 付款状态  0:未付款 1:已付款
    */
    private Integer orderState;

    /**
    * 下单时间
    */
    private Date orderTime;

    /**
    * 用户ID 外键
    */
    private String userId;

    /**
    * 专家用户ID 外键
    */
    private String toUserId;

    /**
    * 支付时间
    */
    private Date paymentTime;

    /**
    * 实际支付金额
    */
    private Double paymentValue;

    /**
    * 支付方式
    */
    private String paymentType;

    /**
    * 支付流水号
    */
    private String paymentId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getOrderState() {
        return orderState;
    }

    public void setOrderState(Integer orderState) {
        this.orderState = orderState;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getToUserId() {
        return toUserId;
    }

    public void setToUserId(String toUserId) {
        this.toUserId = toUserId;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public Double getPaymentValue() {
        return paymentValue;
    }

    public void setPaymentValue(Double paymentValue) {
        this.paymentValue = paymentValue;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getPaymentId() {
        return paymentId;
    }

    public void setPaymentId(String paymentId) {
        this.paymentId = paymentId;
    }
}